%define abi       1.0
%define major     0
%define libname   %mklibname %{name} %{abi} %{major}
%define develname %mklibname %{name} -d

Name:           schroedinger
Version:        1.0.11
Release:        %mkrel 13
Summary:        Portable libraries for the high quality Dirac video codec

Group:          Video/Utilities
License:        LGPL/MIT/MPL
URL:            http://www.diracvideo.org/
Source0:        http://www.diracvideo.org/download/schroedinger/schroedinger-%{version}.tar.gz
Patch0:		schroedinger-1.0.9-fix-linking.patch
Patch1:		schroedinger-1.0.11-automake-1.13.patch

BuildRequires:  liborc-devel
BuildRequires:  gtk-doc

%description
The Schrödinger project will implement portable libraries for the high
quality Dirac video codec created by BBC Research and
Development. Dirac is a free and open source codec producing very high
image quality video.

The Schrödinger project is a project done by BBC R&D and Fluendo in
order to create a set of high quality decoder and encoder libraries
for the Dirac video codec.

%package -n	%{libname}
Group:          System/Libraries
Summary:        Portable libraries for the high quality Dirac video codec

%description -n %{libname}
The Schrödinger project will implement portable libraries for the high
quality Dirac video codec created by BBC Research and
Development. Dirac is a free and open source codec producing very high
image quality video.

The Schrödinger project is a project done by BBC R&D and Fluendo in
order to create a set of high quality decoder and encoder libraries
for the Dirac video codec.

%package -n	%{develname}
Group:          Development/C
Summary:        Development files for schrodinger
Requires:       %{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for schrodinger

%prep
%setup -q
%autopatch -p1


%build
autoreconf -vfi
%configure --disable-static --disable-gtk-doc
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%check
make check

%files -n %{libname}
%doc COPYING* NEWS TODO
%{_libdir}/libschroedinger-%{abi}.so.%{major}{,.*}

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/schroedinger
%{_includedir}/schroedinger-%{abi}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/schroedinger-%{abi}.pc


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.0.11-13.mga10
+ Revision: 2195775
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 1.0.11-12.mga9
+ Revision: 1793274
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.0.11-11.mga8
+ Revision: 1516761
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.11-10.mga7
+ Revision: 1300939
- Mageia 7 Mass Rebuild

* Sun Feb 11 2018 daviddavid <daviddavid> 1.0.11-9.mga7
+ Revision: 1200333
- disable gtk-doc

* Mon Mar 14 2016 wally <wally> 1.0.11-8.mga6
+ Revision: 990541
- rebuild with orc without .la files
- drop .la files

* Thu Feb 04 2016 umeabot <umeabot> 1.0.11-7.mga6
+ Revision: 935027
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.11-6.mga5
+ Revision: 740067
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.11-5.mga5
+ Revision: 689052
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.11-4.mga4
+ Revision: 518210
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0.11-3.mga3
+ Revision: 381801
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 1.0.11-2.mga3
+ Revision: 340754
- fix RPM group
- fix for automake 1.13

* Sun Jul 29 2012 luigiwalser <luigiwalser> 1.0.11-1.mga3
+ Revision: 275688
- 1.0.11

* Thu Jan 13 2011 pterjan <pterjan> 1.0.10-1.mga1
+ Revision: 16643
- Drop obsolete scriptlets
- imported package schroedinger


* Mon Nov 01 2010 Götz Waschk <waschk@mandriva.org> 1.0.10-1mdv2011.0
+ Revision: 591446
- update to new version 1.0.10

* Wed Mar 10 2010 Götz Waschk <waschk@mandriva.org> 1.0.9-1mdv2010.1
+ Revision: 517365
- new version
- fix linking
- build with orc instead of liboil
- enable tests

* Thu Oct 01 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.8-1mdv2010.0
+ Revision: 452281
- Update to new version 1.0.8
- Gstreamer plug-in now provided by gstreamer0.10-plugins-bad

* Fri May 08 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.7-1mdv2010.0
+ Revision: 373485
- update to new version 1.0.7

* Sun May 03 2009 Götz Waschk <waschk@mandriva.org> 1.0.6-1mdv2010.0
+ Revision: 371155
- new version
- bump deps

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 1.0.5-1mdv2009.1
+ Revision: 366284
- use configure2_5x

  + Götz Waschk <waschk@mandriva.org>
    - fix URL

* Wed Jul 02 2008 Götz Waschk <waschk@mandriva.org> 1.0.5-1mdv2009.0
+ Revision: 230610
- new version

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 23 2008 Götz Waschk <waschk@mandriva.org> 1.0.3-1mdv2009.0
+ Revision: 196756
- import schroedinger


* Wed Apr 23 2008 Götz Waschk <waschk@mandriva.org> 1.0.3-1mdv2009.0
- initial package based on the Fedora specy

* Fri Feb 22 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.0.0-1
- Update to 1.0.0

* Mon Feb 11 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.9.0-2
- Rebuild for GCC 4.3

* Mon Nov 12 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.9.0-1
- Update to 0.9.0

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.6.1-3
- Rebuild for selinux ppc32 issue.

* Wed Jun 20 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.6.1-2
- Fix license field
- Add pkgconfig as a requirement for the devel subpackage

* Sun Jun 10 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.6.1-1
- First version for Fedora
